Skip to main content
Get Custom Property Definition
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties/{property_name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties/{property_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties/{property_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "property_name": "sector",
  "property_type": "text"
}
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
"max connections reached: <limit>"
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

property_name
object
required

CustomPropertyDefinition property name.

Response

OK

Default structure for CustomPropertyDefinition.

property_name
string
required

The name of the Custom Property. Can not contain __.

Required string length: 1 - 100
Example:

"sector"

property_type
enum<string>
required

Expected type of the Custom Property.

Available options:
text,
number,
boolean,
list[text],
datetime
Required string length: 1 - 10
Example:

"text"